Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
RWSS< STANDARD, H > Struct Template Reference

RWSS. More...

`#include <rw.h>`

Inheritance diagram for RWSS< STANDARD, H >:

List of all members.

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions < TF_SS< STANDARD, H, RW, int > , RW, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate < TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < TF_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef RWFunction | PublicKey
typedef InvertibleRWFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
struct RWSS< STANDARD, H >

RWSS.

Definition at line 86 of file rw.h.

The documentation for this struct was generated from the following file:

- rw.h